// --- Michael Fennel : Test ftcomputing.robo.* -----------------
//     Lampen an O1 - O3, RobMotoren an M3, I5, I6 und M4, I7, I8
//     Photowiderstand an AX

import ftcomputing.robo.*;

public class MainFaceA {
	FishFace ft = new FishFace();

	public static void main(String[] args) {
		MainFaceA mf = new MainFaceA();
		mf.ft.openInterfaceUSB(IFTypen.ftROBO_first_USB, 0);
		System.out.println("gestartet");
		System.out.println("FishFace-Version : " + FishFace.Version());
		try {
			mf.Action(333);
		} catch (FishFaceException eft) {
			System.out.println(eft);
		} finally {
			System.out.println("Finito");
		}
	}

	private void Action(int Dauer) {
		System.out.println("Device     : " + ft.getDeviceName());
		System.out.println("DeviceType : " + ft.getDeviceType());
		System.out.println("SerialNr   : " + ft.getDeviceSerial());
		System.out.println("Firmware   : " + ft.getDeviceFirmware());
		Explore();
		int Runde = 0;
		do {
			System.out.println("Runde  : " + ++Runde);
			ft.setLamp(Out.O1, Dir.On);
			ft.pause(Dauer * 2);
			ft.setLamp(Out.O2, Dir.On);
			ft.pause(Dauer * 2);
			ft.setLamp(Out.O3, Dir.On);
			ft.pause(Dauer * 2);
			ft.setMotors(0);
			ft.pause(Dauer);
		} while (FishFace.escape() == 0);
		ft.closeInterface();
	}

	private void Explore() {
		System.out.println("Explorer vor");
		ft.setMotor(Mot.M3, Dir.Left, Speed.Full, 12);
		ft.setMotor(Mot.M4, Dir.Right, Speed.L5, 34);
		ft.waitForMotors(0, Mot.M3, Mot.M4);
		System.out.println("Helligkeit : " + ft.getAnalog(Inp.AX));
	}

}
