package ftcomputing.robo;

/**
 * Klasse fr das setzen der Distance-Mode (Betriebsmodus der D-Eingnger).
 * Nicht mit dem Intelligent Interface kompatible, da es keine D-Eingnge
 * besitzt.
 * 
 * @author Ulrich Mller
 * @author Michael Fennel
 * @see FishFace#openInterfaceUSB(int, int, int)
 * 
 * @see FishFace#getDistanceMode()
 * @see FishFace#getDistance(int)
 * 
 */
public class Distance {
	/**
	 * Distance-Mode auf <code>Off</code> setzen.
	 */
	public static final int Off = 0;
	/**
	 * Distance-Mode auf <code>UltraSonic</code> setzen. Wird bentigt um den
	 * UltraSonic-Sensor zu betreiben.
	 * 
	 * @see FishFace#getDistance(int)
	 * @see Inp#D1
	 * @see Inp#D2
	 */
	public static final int UltraSonic = 1;
	/**
	 * Distance-Mode auf <code>Voltage</code> setzen.
	 * <p>
	 * Wird bentigt um die Eingnge {@link Inp#D1V} und {@link Inp#D2V}
	 * auszulesen.
	 * <p>
	 * Wurde von Fischertechnik nicht richtig dokumentiert.
	 * 
	 * @see FishFace#getVoltage(int)
	 * @see Inp#D1V
	 * @see Inp#D2V { {@link}
	 */
	public static final int Voltage = 2;
}
