package ftcomputing.robo;

/**
 * Klasse fr die Auswahl des zu verbindenden Interfaces-Typs.
 * @author Michael Fennel
 * @author Ulrich Mller
 * @see FishFace#openInterfaceUSB(int, int)
 * @see FishFace#openInterfaceUSB(int, int, int)
 * @see FishFace#openInterfaceCOM(int, int, int)
 * 
 */
public class IFTypen {
	/**
	 * erstes Robo-Interface, das am USB-Port gefunden wird. Wenn diese Option
	 * verwendet wird muss beim Anlegen des FishFace-Objkets <code>0</code> als
	 * Seriennummer angegeben werden.
	 * @see FishFace#openInterfaceUSB(int, int)
	 */
	public static final int ftROBO_first_USB = 0;
	/**
	 * Intelligent-Interface (als Master)
	 */
	public static final int ftIntelligent_IF = 10;
	/**
	 * Intelligent-Interface (als Slave)
	 */
	public static final int ftIntelligent_IF_Slave = 20;
	/**
	 * Robo-Interface im Intelligent-Interface Modus<br>
	 * (siehe Bedienungsanleitung)
	 */
	public static final int ftROBO_IF_IIM = 50;
	/**
	 * Robo-Interface am USB-Port
	 */
	public static final int ftROBO_IF_USB = 60;
	/**
	 * Robo-Interface am COM-Port
	 */
	public static final int ftROBO_IF_COM = 70;
	/**
	 * Robo-Interface ber das RF-Datalink
	 */
	public static final int ftROBO_OF_Over_RF = 80;
	/**
	 * Robo-IO-Extension Modul
	 */
	public static final int ftROBO_IO_Extension = 90;
	/**
	 * Robo-Interface ber das RF-Datalink (kein Unterschied zu
	 * {@link IFTypen#ftROBO_OF_Over_RF} feststellbar)
	 */
	public static final int ftROBO_RF_Datalink = 110;
	/**
	 * Anschlussbox fr das alte Universal-Interface mit Centronics-Anschlu
	 * (Intelligent Interface wird auch untersttzt)
	 */
	public static final int ftROBO_Connect_Box = 200;
}
