package ftcomputing.robo;

/**
 * Klasse fr das einfache Ansprechen des jeweiligen Motor-Ausgangs durch
 * die Klasse FishFace. Beim Intelligent Interface sind nur die Ausgnge bis M8
 * (Slave Interface vorrausgesetzt) benutzbar. Beim RoboInterface sind bei 3
 * angeschlossenen Erweiterungen insgesamt 16 Motoren ansprechbar.
 * 
 * @author Ulrich Mller
 * @see FishFace#setMotor(int, int)
 * 
 */
public class Mot {
	/**
	 * <code>Motor 1</code>
	 */
	public static final int M1 = 1;
	/**
	 * <code>Motor 2</code>
	 */
	public static final int M2 = 2;
	/**
	 * <code>Motor 3</code>
	 */
	public static final int M3 = 3;
	/**
	 * <code>Motor 4</code>
	 */
	public static final int M4 = 4;
	/**
	 * <code>Motor 5</code><br>
	 * beim Intelligent-Interface nur mit Slave-Interface mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 1 mglich
	 */
	public static final int M5 = 5;
	/**
	 * <code>Motor 6</code><br>
	 * beim Intelligent-Interface nur mit Slave-Interface mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 1 mglich
	 */
	public static final int M6 = 6;
	/**
	 * <code>Motor 7</code><br>
	 * beim Intelligent-Interface nur mit Slave-Interface mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 1 mglich
	 */
	public static final int M7 = 7;
	/**
	 * <code>Motor 8</code><br>
	 * beim Intelligent-Interface nur mit Slave-Interface mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 1 mglich
	 */
	public static final int M8 = 8;
	/**
	 * <code>Motor 9</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 2 mglich
	 */
	public static final int M9 = 9;
	/**
	 * <code>Motor 10</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 2 mglich
	 */
	public static final int M10 = 10;
	/**
	 * <code>Motor 11</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 2 mglich
	 */
	public static final int M11 = 11;
	/**
	 * <code>Motor 12</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 2 mglich
	 */
	public static final int M12 = 12;
	/**
	 * <code>Motor 13</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 3 mglich
	 */
	public static final int M13 = 13;
	/**
	 * <code>Motor 14</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 3 mglich
	 */
	public static final int M14 = 14;
	/**
	 * <code>Motor 15</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 3 mglich
	 */
	public static final int M15 = 15;
	/**
	 * <code>Motor 16</code><br>
	 * beim Intelligent-Interface nicht mglich<br>
	 * beim Robo-Interface nur mit Extension-Modul 3 mglich
	 */
	public static final int M16 = 16;
}
