package ftcomputing.robo;
/**
 * Konstanten, die als Rckgabewerte benutzt werden, um den Grund fr das Beenden anzuzeigen. Wird benutzt bei: {@link FishFace#waitForMotors(int, int...)} & {@link FishFace#waitForChange(int, int, int)}
 * @author Ulrich Mller
 * @author Michael Fennel
 *
 */
public class Wait {
	/**
	 * Funktion wurde normal beendet
	 */
	public static final int End      = 0;
	/**
	 * Funktion wurde durch Ablaufen eines Timers beendet
	 */
	public static final int Time     = 1;
	/**
	 * Funktion wurde durch NotHalt = true beendet
	 */
	public static final int NotHalt  = 2;
	/**
	 * Funktion wurde duch Escape-Taste beendet
	 */
	public static final int ESC      = 3;
	/**
	 * Funktion wurde intern durch ein Ereignis abgebrochen (z. Bsp. Tasterdruck bei {@link FishFace#waitForChange(int, int, int)} )
	 */
	public static final int Abort = 4;
}
